## nova 2012.2~f1

=== debian/changelog ===
nova (2012.2~f1-0ubuntu1~cloud1) precise-folsom; urgency=low

  * debian/patches/ubuntu-fix-pep8.patch: Fix fail to build from  source
    when using pep8 from quantal.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 13 Aug 2012 12:01:11 -0500

nova (2012.2~f1-0ubuntu1~cloud0) precise-folsom; urgency=low
 
  [Chuck Short]

  * New upstream release.
  * Prepare for quantal:
    - Dropped debian/patches/upstream/0006-Use-project_id-in-ec2.cloud._format_image.patch
    - Dropped debian/patches/upstream/0005-Populate-image-properties-with-project_id-again.patch
    - Dropped debian/patches/upstream/0004-Fixed-bug-962840-added-a-test-case.patch
    - Dropped debian/patches/upstream/0003-Allow-unprivileged-RADOS-users-to-access-rbd-volumes.patch
    - Dropped debian/patches/upstream/0002-Stop-libvirt-test-from-deleting-instances-dir.patch
    - Dropped debian/patches/upstream/0001-fix-bug-where-nova-ignores-glance-host-in-imageref.patch 
    - Dropped debian/patches/0001-fix-useexisting-deprecation-warnings.patch
  * debian/control: Add python-keystone as a dependency. (LP: #907197)
  * debian/patches/kombu_tests_timeout.patch: Refreshed.
  * debian/nova.conf, debian/nova-common.postinst: Convert to new ini
    file configuration
  * debian/nova-common.docs: Add ChangeLog
  * debian/patches/upstream: Removed

  [Adam Gandleman]

  * debian/patches/nova-manage_flagfile_location.patch: Dropped. 
  * debian/nova-common.postinst: Old format config will break nova-manage
    if left in place.  Move it away instead of copying before conversion.
  * debian/nova.conf:  Set booleans explicitly '=true', specify path to paste
    config.
  * debian/*.init, debian/*.upstart.in, debian/mans/*: Update to use
    --config-file flag instead of obsolete --flagfile.
  * debian/nova-common.postinst: Also handle conversion of nova-compute.conf
    to new .ini format.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 May 2012 13:12:53 -0400
