## nova 2012.2~f2

=== debian/changelog ===
nova (2012.2~f2-0ubuntu1~cloud0) precise-folsom; urgency=low

  [ Adam Gandelman ]
  * Use new rootwrap configuration structure:
    - debian/nova-{compute, network, volume}.{pyinstall, pyremove}: Dropped.
    - debian/nova-common.dirs: Add /etc/nova/rootwrap.d/.
    - debian/nova-common.install: Install /etc/nova/rootwrap.conf.
    - debian/debian/nova.conf: Reference rootwrap.conf in calls to
      nova-rootwrap.
    - debian/nova-{compute, network, volume}.install: Install corresponding
      filter in /etc/nova/rootwrap.d/
  * debian/rules: Install logging_sample.conf to /etc/nova/logging.conf
    as part of nova-common.
  * debian/pydist-overrides: Add setuptools-git.
  * debian/control: Add python-setuptools-git as a Build-Depends.
  * debian/rules: Do not remove nova.egg-info during auto_clean.  Now that
    upstream has moved to setuptools-git, doing so results in missing files
    from built package.

  [ Chuck Short ]
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 10:18:33 -0400

nova (2012.2~f1-0ubuntu1i~cloud0) precise-folsom; urgency=low

  * New upstream release.
  * Prepare for quantal:
    - Dropped debian/patches/upstream/0006-Use-project_id-in-ec2.cloud._format_image.patch
    - Dropped debian/patches/upstream/0005-Populate-image-properties-with-project_id-again.patch
    - Dropped debian/patches/upstream/0004-Fixed-bug-962840-added-a-test-case.patch
    - Dropped debian/patches/upstream/0003-Allow-unprivileged-RADOS-users-to-access-rbd-volumes.patch
    - Dropped debian/patches/upstream/0002-Stop-libvirt-test-from-deleting-instances-dir.patch
    - Dropped debian/patches/upstream/0001-fix-bug-where-nova-ignores-glance-host-in-imageref.patch 
    - Dropped debian/patches/0001-fix-useexisting-deprecation-warnings.patch
  * debian/control: Add python-keystone as a dependency. (LP: #907197)
  * debian/patches/kombu_tests_timeout.patch: Refreshed.
  * debian/nova.conf, debian/nova-common.postinst: Convert to new ini
    file configuration
  * debian/patches/nova-manage_flagfile_location.patch: Refreshed

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 May 2012 13:12:53 -0400
