=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  openssh-client,
  openssl,
  python-setuptools,
+ python-setuptools-git,
  python-sphinx (>> 1.0),
  python-distutils-extra,
  python-gflags,
