=== debian/control ===
--- 
+++ 
@@ -6,93 +6,92 @@
 Uploaders: Soren Hansen <soren@ubuntu.com>, Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
  python-all (>= 2.6),
- python-all-dev (>= 2.6.6-3~) | python-support,
-Build-Depends-Indep:
- openssh-client,
+ python-all-dev (>= 2.6.6-3~) | python-support
+Build-Depends-Indep: openssh-client,
  openssl,
+ python-amqplib,
+ python-boto,
+ python-carrot,
+ python-cheetah,
+ python-cinderclient,
+ python-crypto,
+ python-daemon,
+ python-distutils-extra,
+ python-eventlet,
+ python-feedparser,
+ python-gflags,
+ python-glance,
+ python-glanceclient,
+ python-iso8601,
+ python-kombu,
+ python-lockfile,
+ python-lxml,
+ python-migrate,
+ python-mox,
+ python-netaddr,
+ python-nose,
+ python-novaclient,
+ python-paramiko,
+ python-paste,
+ python-pastedeploy (>= 1.5.0),
+ python-quantumclient,
+ python-routes,
  python-setuptools,
  python-setuptools-git,
+ python-simplejson,
  python-sphinx (>> 1.0),
- python-distutils-extra,
- python-gflags,
- python-mox,
- python-carrot,
- python-boto,
- python-amqplib,
- openssh-client,
- python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
- python-eventlet,
- python-routes,
+ python-sqlalchemy-ext ( >= 0.7.8-1) | python-sqlalchemy (<< 0.6.3-2),
+ python-suds,
+ python-tempita,
+ python-unittest2,
  python-webob,
- python-cheetah,
- python-nose,
- python-paste,
- python-pastedeploy (>= 1.5.0),
- python-tempita,
- python-migrate,
- python-netaddr,
- python-glance,
- python-paramiko,
- python-novaclient,
- python-lockfile,
- python-simplejson,
- python-lxml,
- python-unittest2,
- python-daemon,
- python-suds,
- python-xattr,
- python-feedparser,
- python-crypto,
- python-iso8601,
- python-kombu,
- pep8
+ python-xattr
 Build-Conflicts: python-cjson
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://launchpad.net/nova
 Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/essex/debian/files
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/essex
 
-
 Package: python-nova
 Architecture: all
 Section: python
-Depends: ${python:Depends},
- openssh-client,
+Depends: openssh-client,
  openssl,
  python-boto,
- python-m2crypto,
- python-pycurl,
+ python-carrot,
+ python-cheetah,
+ python-cinderclient,
  python-daemon,
- python-carrot,
- python-lockfile,
+ python-eventlet,
+ python-feedparser,
  python-gflags,
- python-libxml2,
- python-ldap,
- python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
- python-eventlet,
- python-routes,
- python-webob,
- python-cheetah,
- python-netaddr,
- python-paste,
- python-pastedeploy,
- python-tempita,
- python-migrate,
- python-netaddr,
  python-glance,
- python-novaclient,
- python-simplejson,
- python-lxml,
- python-feedparser,
- python-xattr,
- python-daemon,
- python-suds,
+ python-glanceclient,
  python-iso8601,
  python-keystone,
  python-kombu,
+ python-ldap,
+ python-libxml2,
+ python-lockfile,
+ python-lxml,
+ python-m2crypto,
+ python-migrate,
+ python-netaddr,
+ python-novaclient,
+ python-paste,
+ python-pastedeploy,
+ python-pycurl,
+ python-routes,
+ python-simplejson,
+ python-sqlalchemy-ext ( >= 0.7.8-1) | python-sqlalchemy (<< 0.6.3-2),
+ python-suds,
+ python-tempita,
+ python-webob,
+ python-xattr,
  sudo,
- ${misc:Depends}
-Suggests: python-suds (>= 0.4.0),
+ ${misc:Depends},
+ ${python:Depends}
+Suggests: python-suds (>= 0.4.0)
 Conflicts: python-cjson
 XB-Python-Version: ${python:Versions}
 Recommends: python-mysqldb
@@ -116,9 +115,13 @@
 
 Package: nova-common
 Architecture: all
-Depends: python-amqplib, python-nova (= ${binary:Version}), ${python:Depends}, ${misc:Depends}, adduser
+Depends: adduser,
+ python-amqplib,
+ python-nova (= ${binary:Version}),
+ ${misc:Depends},
+ ${python:Depends}
 Provides: ${python:Provides}
-Suggests: python-keystone
+Recommends: python-glanceclient, python-keystone
 Description: OpenStack Compute - common files
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -138,9 +141,20 @@
 
 Package: nova-compute
 Architecture: all
-Depends: lsb-base (>= 3.0.6),  nova-common (= ${binary:Version}), qemu-utils, kpartx, curl, parted, vlan, 
- ebtables, gawk, iptables, open-iscsi, nova-compute-kvm | nova-compute-hypervisor,
- ${python:Depends}, ${misc:Depends}
+Depends: curl,
+ ebtables,
+ gawk,
+ iptables,
+ kpartx,
+ lsb-base (>= 3.0.6),
+ nova-common (= ${binary:Version}),
+ nova-compute-kvm | nova-compute-hypervisor,
+ open-iscsi,
+ parted,
+ qemu-utils,
+ vlan,
+ ${misc:Depends},
+ ${python:Depends}
 Description: OpenStack Compute - compute node
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -161,7 +175,10 @@
 
 Package: nova-compute-lxc
 Architecture: all
-Depends: nova-compute (= ${binary:Version}), python-libvirt, libvirt-bin, ${misc:Depends}
+Depends: libvirt-bin,
+ nova-compute (= ${binary:Version}),
+ python-libvirt,
+ ${misc:Depends}
 Provides: nova-compute-hypervisor
 Conflicts: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (LXC)
@@ -183,7 +200,11 @@
 
 Package: nova-compute-uml
 Architecture: all
-Depends: nova-compute (= ${binary:Version}), python-libvirt, libvirt-bin, user-mode-linux, ${misc:Depends}
+Depends: libvirt-bin,
+ nova-compute (= ${binary:Version}),
+ python-libvirt,
+ user-mode-linux,
+ ${misc:Depends}
 Provides: nova-compute-hypervisor
 Conflicts: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (UserModeLinux)
@@ -205,8 +226,11 @@
 
 Package: nova-compute-xen
 Architecture: all
-Depends: nova-compute (= ${binary:Version}), python-libvirt, libvirt-bin, xen-hypervisor-4.1-amd64 | xen-hypervisor-4.1-i386,
-  ${misc:Depends}
+Depends: libvirt-bin,
+ nova-compute (= ${binary:Version}),
+ python-libvirt,
+ xen-hypervisor-4.1-amd64 | xen-hypervisor-4.1-i386,
+ ${misc:Depends}
 Provides: nova-compute-hypervisor
 Conflicts: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (Xen)
@@ -228,7 +252,11 @@
 
 Package: nova-compute-qemu
 Architecture: all
-Depends: nova-compute (= ${binary:Version}), python-libvirt, libvirt-bin, qemu, ${misc:Depends}
+Depends: libvirt-bin,
+ nova-compute (= ${binary:Version}),
+ python-libvirt,
+ qemu,
+ ${misc:Depends}
 Provides: nova-compute-hypervisor
 Conflicts: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (QEmu)
@@ -250,7 +278,11 @@
 
 Package: nova-compute-kvm
 Architecture: all
-Depends: nova-compute (= ${binary:Version}), python-libvirt, libvirt-bin, kvm, ${misc:Depends}
+Depends: kvm,
+ libvirt-bin,
+ nova-compute (= ${binary:Version}),
+ python-libvirt,
+ ${misc:Depends}
 Provides: nova-compute-hypervisor
 Conflicts: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (KVM)
@@ -294,7 +326,7 @@
 
 Package: nova-xcp-plugins
 Architecture: all
-Depends: xcp-xapi, ${python:Depends}, ${misc:Depends}
+Depends: xcp-xapi, ${misc:Depends}, ${python:Depends}
 Description: OpenStack Compute plugin for the Xen Cloud Platform
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -305,5 +337,3 @@
  addition to its "native" API (the OpenStack API), it also supports the Amazon
  EC2 API.
  .
- Nova is intended to be modular and easy to extend and adapt. It supports many
- different hypervisors (KVM and Xen to name a few), different database backends
