## nova 2012.2.1+stable-20121212-a99a802e

=== debian/changelog ===
nova (2012.2.1+stable-20121212-a99a802e-0ubuntu1.1) quantal-security; urgency=low

  * SECURITY UPDATE: fix lack of authentication on block device used for
    os-volume_boot
    - debian/patches/CVE-2013-0208.patch: adjust nova/compute/api.py to
      validate we can access the volumes
    - CVE-2013-0208

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 29 Jan 2013 09:34:02 -0600

nova (2012.2.1+stable-20121212-a99a802e-0ubuntu1) quantal-proposed; urgency=low

  * Ubuntu updates:
    - debian/control: Ensure novaclient is upgraded with nova,
      require python-keystoneclient >= 1:2.9.0. (LP: #1073289)
    - d/p/avoid_setuptools_git_dependency.patch: Refresh.
  * Dropped patches, applied upstream:
    - debian/patches/CVE-2012-5625.patch: [a99a802]
  * Resynchronize with stable/folsom (b55014ca) (LP: #1085255):
    - [a99a802] create_lvm_image allocates dirty blocks (LP: #1070539)
    - [670b388] RPC exchange name defaults to 'openstack' (LP: #1083944)
    - [3ede373] disassociate_floating_ip with multi_host=True fails
      (LP: #1074437)
    - [22d7c3b] libvirt imagecache should handle shared image storage
      (LP: #1075018)
    - [e787786] Detached and deleted RBD volumes remain associated with insance
      (LP: #1083818)
    - [9265eb0] live_migration missing migrate_data parameter in Hyper-V driver
      (LP: #1066513)
    - [3d99848] use_single_default_gateway does not function correctly
      (LP: #1075859)
    - [65a2d0a] resize does not migrate DHCP host information (LP: #1065440)
    - [102c76b] Nova backup image fails (LP: #1065053)
    - [48a3521] Fix config-file overrides for nova-dhcpbridge
    - [69663ee] Cloudpipe in Folsom: no such option: cnt_vpn_clients
      (LP: #1069573)
    - [6e47cc8] DisassociateAddress can cause Internal Server Error
      (LP: #1080406)
    - [22c3d7b] API calls to dis-associate an auto-assigned floating IP should
      return proper warning (LP: #1061499)
    - [bd11d15] libvirt: if exception raised during volume_detach, volume state
      is inconsistent (LP: #1057756)
    - [dcb59c3] admin can't describe all images in ec2 api (LP: #1070138)
    - [78de622] Incorrect Exception raised during Create server when metadata
      over 255 characters  (LP: #1004007)
    - [c313de4] Fixed IP isn't released before updating DHCP host file
      (LP: #1078718)
    - [f4ab42d] Enabling Return Reservation ID with XML create server request
      returns no body  (LP: #1061124)
    - [3db2a38] 'BackupCreate' should accept rotation parameter greater than or
      equal to zero (LP: #1071168)
    - [f7e5dde] libvirt reboot sometimes fails to reattach volumes
      (LP: #1073720)
    - [ff776d4] libvirt: detaching volume may fail while terminating other
      instances on the same host concurrently (LP: #1060836)
    - [85a8bc2] Used instance uuid rather than id in remove-fixed-ip
    - [42a85c0] Fix error on invalid delete_on_termination value
    - [6a17579] xenapi migrations fail w/ swap (LP: #1064083)
    - [97649b8] attach-time field for volumes is not updated for detach volume
      (LP: #1056122)
    - [8f6a718] libvirt: rebuild is not using kernel and ramdisk associated with
      the new image (LP: #1060925)
    - [fbe835f] live-migration and volume host assignement (LP: #1066887)
    - [c2a9150] typo prevents volume_tmp_dir flag from working (LP: #1071536)
    - [93efa21] Instances deleted during spawn leak network allocations
      (LP: #1068716)
    - [ebabd02] After restarting an instance volume is lost (LP: #1071069)
    - [a369303] xen volume auto device selection always picks xvdb
      (LP: #1061944)
    - [8d1095c] Calls to to_xml() to generate XML for a soft deleted flavor fail
      (LP: #1073736)
    - [1857821] nova-manage doesn't validate the key value supplied to update
      the quota (LP: #1064359)
    - [6ae32f0] Compute manager doesn't update 'host' field when it tries to run
      a VM (LP: #1073600)
    - [284f6ea] Host field set too early during builds (LP: #1060255)
    - [395511f] finish_resize failures result in NoneType exception
      (LP: #1071595)
    - [85ccf80] confirm_resize mgr call requires admin context (LP: #1071600)
    - [2dceffa] Only return the last N lines of the console log (LP: #1081436)
    - [9c7a711] console auth does not work with memcache, unicode error
      (LP: #1057279)
    - [b27f7ef] disk path not exists when using LXC with libvirt_images_type=lvm
      (LP: #1079113)
    - [1351c6b] nova-api now requires quantumclient (LP: #1070509)
    - [612f404] nova-api now requires quantumclient (LP: #1070509)
    - [7e8a166] nova-compute (folsom) fails to start, compute_driver is None
      (LP: #1081836)
    - [182ca80] Nova API does not work with QuantumV2 API subclasses
      (LP: #1070045)
    - [55d1412] 413 error code doesn't always provide Retry-After (LP: #1079387)
    - [1581505] Snapshotting LXC instance fails (LP: #1058273)
    - [197398f] Stop network.api import on network import
    - [b874d21] Scheduler Race Condition at high volume (LP: #1073956)
    - [3316e1f] Nic Ordering not guaranteed with Quantum API (LP: #1064524)
    - [ab7e37e] Stable oslo (aka common) update
    - [3f7788c] update nova to report quantum floating IPs (LP: #1023169)
    - [d3fd05b] metadata service throws 500 - NoSuchOptError (LP: #1063851)
    - [97542c9] libvirt imagecache still runs even if disabled (LP: #1075017)
    - [b31f528] OS API: XML Namespace Handling Broken (LP: #887191)
    - [76b44d9] nova-api crashes if it is run with nobody account.
      (LP: #1073858)
    - [d59f6ad] nova-compute will assign the same device name if volume-attach
      continuously  (LP: #1062033)
    - [8e11181] Nova does not delete the LV on LVM backed VMs (LP: #1078085)
    - [9bf2c6a] Fixed instance deletion issue from Nova API.
    - [c0e1247] forget to release resource when terminate an instance from a
      failed compute node (LP: #1067214)
    - [49397a4] ensure_default_security_group() does not call sgh (LP: #1050982)

