## nova 2012.2.4

=== debian/changelog ===
nova (2012.2.4-0ubuntu3.1) quantal-security; urgency=low

  * SECURITY UPDATE: properly honor the is_public flag
    - debian/patches/CVE-2013-2256.patch, CVE-2013-4278.patch: add enforcement
      of is_public in the db layer (LP: #1194093, LP: #1212179)
    - CVE-2013-2256, CVE-2013-4278
  * SECURITY UPDATE: denial of service with network security group policy
    updates
    - debian/patches/CVE-2013-4185.patch: use cached nwinfo for secgroup rules
      (LP: #1184041)
    - CVE-2013-4185

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 21 Oct 2013 15:48:27 -0500

nova (2012.2.4-0ubuntu3) quantal-proposed; urgency=low

  * Rebase again with latest security update, which fixes regression
    introduced with original fix for CVE-2013-2096:
    - Regression fix. Nova fails to launch non-cached images (LP: #1183606)
       * debian/patches/lp1183606.patch: call prepare_template() before
         performing QCOW2 image size check

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 28 May 2013 22:31:26 -0700

nova (2012.2.4-0ubuntu2) quantal-proposed; urgency=low

  * Rebase with latest security updates.
  * SECURITY UPDATE: verify virtual size of QCOW2 images
    - CVE-2013-2096.patch: update nova/virt/libvirt/imagebackend.py to
      check QCOW2 image size during root disk creation
    - CVE-2013-2096

 -- James Page <james.page@ubuntu.com>  Fri, 17 May 2013 11:30:31 +0100

nova (2012.2.4-0ubuntu1) quantal-proposed; urgency=low

  * Dropped patches, applied upstream:
    - debian/patches/CVE-2013-1838.patch: [9561484]
    - debian/patches/CVE-2013-0335.patch: [05a3374]
    - debian/patches/CVE-2013-1664.patch: [2ae74f8]
  * Resynchronize with stable/folsom (9ecd965e) (LP: #1179707):
    - [975a312] Creating network failed with message handling via REST API
      LP: 1143584
    - [056a7df] live-migration to an invalid host should exist gracefully.
      Currently, it throws a stack trace LP: 1159755
    - [8f8ef21] Add a format_message method to the Exceptions
    - [2dd8f3e] Quantum Hybrid OVS driver does not set STP values correctly
      LP: 1129055
    - [c4c417e] Fixed IPs quota can break upgrades LP: 1161190
    - [c85683e] A default /24 netmask is used by dnsmasq instead of the
      configured netmasks (in netmasks table) LP: 1154929
    - [50dece6] Support external gateways in VLAN mode LP: 1012443
    - [524a5a3] Expected exception on volume attach leaves traceback in the
      logs. LP: 1155315
    - [67eb495] ec2 id mapping can be incorrect during attach volume LP: 1145490
    - [69ba489] PowerVM driver spawn failed due to missing attribute
      supported_instances LP: 1155498
    - [28aacf6] Log statement improperly output in nova-manage LP: 1018431
    - [53626bf] fixed_ips cannot reliably be released on instance termination
      LP: 1103260
    - [f8c5492] libvirt driver connection validation causes unnecessary process
      execution with libvirt/qemu LP: 1100446
    - [5b43cef] comparing datetime to None in update-time handling LP: 1096719
    - [549879d] Quantum:  DHCP request fails with IptablesFirewallDriver and
      default rule as DISCARD LP: 1131223
    - [46d2060] soft_reboot followed by hard_reboot can lead to double reboot
      LP: 1046356
    - [cdc2386] libvirt: nova should enable apic setting for xen or kvm guest
      LP: 1086352
    - [9561484] DOS by allocating all fixed ips LP: 1125468
    - [d6b9d33] Affinity filter checks erroneously includes deleted instances
      LP: 1107156
    - [cb843f7] Instance is sometimes shutdown without any operation and report
      the message "Instance shutdown by itself. Calling the stop API"
      LP: 1085771
    - [05a3374] VNC proxy can be made to connect to wrong VM LP: 1125378
    - [889e9c0] nova leaves stale .part files on disk when downloading non raw
      VM images LP: 1125068
    - [2029427] Instance vm_state remains 'migrating' if source compute node
      goes down during migration LP: 973393
    - [8289d6c] rc.local editing wrong. LP: 1089668
    - [d5e7f55] nova-compute fails to start if an instance has no ip LP: 1131330
    - [7ace55f] VMs paused unbeknownst to nova compute are destroyed LP: 1097806
    - [ecd98d2] LibvirtBridgeDriver crashes when spawning an instance with
      NoopFirewallDriver LP: 1050433
    - [2ae74f8] DoS through XML entity expansion (CVE-2013-1664) LP: 1100282
    - [21d5e90] Instance stuck in task state image_snapshot LP: 1101136

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 25 Apr 2013 17:49:15 -0400

nova (2012.2.3-0ubuntu2.2) quantal-security; urgency=low

  * Regression fix. Nova fails to launch non-cached images (LP: #1183606)
    - debian/patches/lp1183606.patch: call prepare_template() before
      performing QCOW2 image size check

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 28 May 2013 13:43:32 -0500

nova (2012.2.3-0ubuntu2.1) quantal-security; urgency=low

  * SECURITY UPDATE: verify virtual size of QCOW2 images
    - CVE-2013-2096.patch: update nova/virt/libvirt/imagebackend.py to
      check QCOW2 image size during root disk creation
    - CVE-2013-2096

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 15 May 2013 15:30:52 -0500

nova (2012.2.3-0ubuntu2) quantal-proposed; urgency=low

  * Re-sync with latest security updates.
  * SECURITY UPDATE: fix denial of service via fixed IPs when using extensions
    - debian/patches/CVE-2013-1838.patch: add explicit quota for fixed IP
    - CVE-2013-1838
  * SECURITY UPDATE: fix VNC token validation
    - debian/patches/CVE-2013-0335.patch: force console auth service to flush
      all tokens associated with an instance when it is deleted
    - CVE-2013-0335
  * SECURITY UPDATE: fix denial of service
    - CVE-2013-1664.patch: Add a new utils.safe_minidom_parse_string function
      and update external API facing Nova modules to use it
    - CVE-2013-1664

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2013 12:40:07 +0000

nova (2012.2.3-0ubuntu1) quantal-proposed; urgency=low

  * Dropped patches, applied upstream:

