=== debian/rules ===
--- 
+++ 
@@ -62,14 +62,14 @@
 
 override_dh_fixperms:
 	dh_fixperms -Xnova_sudoers
+	dh_fixperms -Xnova_tgt.conf
 	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/.gitignore
 	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/projects/.gitignore
 	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/reqs/.gitignore
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-# Disabled temporarily 06/19/2012 while we work through some test suite issues.
-#	./run_tests.sh -N
+	./run_tests.sh -N -P 
 endif
 
 override_dh_installinit:
