=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/" https://launchpad.net/nova/+download https://launchpad.net/nova/.*/.*/.*/nova-(.*)\.tar\.gz
http://tarballs.openstack.org/nova/ nova-(\d.*).tar.gz
