## nova 2013.1~g2

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Soren Hansen <soren@ubuntu.com>, Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
  python-all (>= 2.6),
- python-all-dev (>= 2.6.6-3~) | python-support
+ python-all-dev (>= 2.6.6-3~)
 Build-Depends-Indep: openssh-client,
  openssl,
  python-amqplib,
@@ -14,10 +14,12 @@
  python-carrot,
  python-cheetah,
  python-cinderclient,
+ python-coverage,
  python-crypto,
  python-daemon,
  python-distutils-extra,
  python-eventlet,
+ python-fixtures (>= 0.3.12),
  python-feedparser,
  python-gflags,
  python-glance,
@@ -29,8 +31,7 @@
  python-migrate,
  python-mox,
  python-netaddr,
- python-nose,
- python-novaclient,
+ python-novaclient (>= 1:2.9.0),
  python-paramiko,
  python-paste,
  python-pastedeploy (>= 1.5.0),
@@ -39,13 +40,17 @@
  python-setuptools,
  python-setuptools-git,
  python-simplejson,
+ python-stevedore (>= 0.7.2),
  python-sphinx (>> 1.0),
- python-sqlalchemy-ext ( >= 0.7.8-1) | python-sqlalchemy (<< 0.6.3-2),
+ python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
  python-suds,
  python-tempita,
+ python-testtools (>= 0.9.22),
  python-unittest2,
- python-webob,
- python-xattr
+ python-webob (>= 1.2.3),
+ python-xattr,
+ pep8,
+ testrepository ( >= 0.0.8)
 Build-Conflicts: python-cjson
 Standards-Version: 3.9.3
 Homepage: http://launchpad.net/nova
@@ -77,16 +82,16 @@
  python-m2crypto,
  python-migrate,
  python-netaddr,
- python-novaclient,
+ python-novaclient (>= 1:2.9.0),
  python-paste,
  python-pastedeploy,
  python-pycurl,
  python-routes,
  python-simplejson,
- python-sqlalchemy-ext ( >= 0.7.8-1) | python-sqlalchemy (<< 0.6.3-2),
+ python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
  python-suds,
  python-tempita,
- python-webob,
+ python-webob (>= 1.2.3),
  python-xattr,
  sudo,
  ${misc:Depends},
@@ -152,9 +157,12 @@
  open-iscsi,
  parted,
  qemu-utils,
+ genisoimage,
  vlan,
  ${misc:Depends},
- ${python:Depends}
+ ${python:Depends},
+ adduser
+Suggests: guestmount
 Description: OpenStack Compute - compute node
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -229,7 +237,7 @@
 Depends: libvirt-bin,
  nova-compute (= ${binary:Version}),
  python-libvirt,
- xen-hypervisor-4.1-amd64 | xen-hypervisor-4.1-i386,
+ xen-system-amd64 | xen-system-i386,
  ${misc:Depends}
 Provides: nova-compute-hypervisor
 Conflicts: nova-compute-hypervisor
@@ -278,7 +286,7 @@
 
 Package: nova-compute-kvm
 Architecture: all
-Depends: kvm,
+Depends: qemu-system (>= 1.3.0) | kvm,
  libvirt-bin,
  nova-compute (= ${binary:Version}),
  python-libvirt,
@@ -322,7 +330,7 @@
  (SQLite, MySQL, and PostgreSQL, for instance), different types of user
  databases (LDAP or SQL), etc.
  .
- Install this package on your compute nodes if you're using xcp
+ Install this dependency package on your compute nodes if you're using xcp
 
 Package: nova-xcp-plugins
 Architecture: all
@@ -331,9 +339,3 @@
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
  and private cloud providers regardless of size, by being simple to implement
- and massively scalable.
- .
- OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
- addition to its "native" API (the OpenStack API), it also supports the Amazon
- EC2 API.
- .
